
// *************************************************************************
//      Definitions of indices for API functions, unique across entire API
// *************************************************************************

// This file is generated.  Any changes you make will be lost during the next clean build.
// CUDA public interface, for cu* function prototypes

#ifndef __SANITIZER_DRIVER_CBID_H
#define __SANITIZER_DRIVER_CBID_H


typedef enum SANITIZER_CBID_DRIVER_API_enum {
   SANITIZER_CBID_DRIVER_API_INVALID                                                      = 0,
   SANITIZER_CBID_DRIVER_API_cuInit                                                       = 1,
   SANITIZER_CBID_DRIVER_API_cuDriverGetVersion                                           = 2,
   SANITIZER_CBID_DRIVER_API_cuDeviceGet                                                  = 3,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetCount                                             = 4,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetName                                              = 5,
   SANITIZER_CBID_DRIVER_API_cuDeviceComputeCapability                                    = 6,
   SANITIZER_CBID_DRIVER_API_cuDeviceTotalMem                                             = 7,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetProperties                                        = 8,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetAttribute                                         = 9,
   SANITIZER_CBID_DRIVER_API_cuCtxCreate                                                  = 10,
   SANITIZER_CBID_DRIVER_API_cuCtxDestroy                                                 = 11,
   SANITIZER_CBID_DRIVER_API_cuCtxAttach                                                  = 12,
   SANITIZER_CBID_DRIVER_API_cuCtxDetach                                                  = 13,
   SANITIZER_CBID_DRIVER_API_cuCtxPushCurrent                                             = 14,
   SANITIZER_CBID_DRIVER_API_cuCtxPopCurrent                                              = 15,
   SANITIZER_CBID_DRIVER_API_cuCtxGetDevice                                               = 16,
   SANITIZER_CBID_DRIVER_API_cuCtxSynchronize                                             = 17,
   SANITIZER_CBID_DRIVER_API_cuModuleLoad                                                 = 18,
   SANITIZER_CBID_DRIVER_API_cuModuleLoadData                                             = 19,
   SANITIZER_CBID_DRIVER_API_cuModuleLoadDataEx                                           = 20,
   SANITIZER_CBID_DRIVER_API_cuModuleLoadFatBinary                                        = 21,
   SANITIZER_CBID_DRIVER_API_cuModuleUnload                                               = 22,
   SANITIZER_CBID_DRIVER_API_cuModuleGetFunction                                          = 23,
   SANITIZER_CBID_DRIVER_API_cuModuleGetGlobal                                            = 24,
   SANITIZER_CBID_DRIVER_API_cu64ModuleGetGlobal                                          = 25,
   SANITIZER_CBID_DRIVER_API_cuModuleGetTexRef                                            = 26,
   SANITIZER_CBID_DRIVER_API_cuMemGetInfo                                                 = 27,
   SANITIZER_CBID_DRIVER_API_cu64MemGetInfo                                               = 28,
   SANITIZER_CBID_DRIVER_API_cuMemAlloc                                                   = 29,
   SANITIZER_CBID_DRIVER_API_cu64MemAlloc                                                 = 30,
   SANITIZER_CBID_DRIVER_API_cuMemAllocPitch                                              = 31,
   SANITIZER_CBID_DRIVER_API_cu64MemAllocPitch                                            = 32,
   SANITIZER_CBID_DRIVER_API_cuMemFree                                                    = 33,
   SANITIZER_CBID_DRIVER_API_cu64MemFree                                                  = 34,
   SANITIZER_CBID_DRIVER_API_cuMemGetAddressRange                                         = 35,
   SANITIZER_CBID_DRIVER_API_cu64MemGetAddressRange                                       = 36,
   SANITIZER_CBID_DRIVER_API_cuMemAllocHost                                               = 37,
   SANITIZER_CBID_DRIVER_API_cuMemFreeHost                                                = 38,
   SANITIZER_CBID_DRIVER_API_cuMemHostAlloc                                               = 39,
   SANITIZER_CBID_DRIVER_API_cuMemHostGetDevicePointer                                    = 40,
   SANITIZER_CBID_DRIVER_API_cu64MemHostGetDevicePointer                                  = 41,
   SANITIZER_CBID_DRIVER_API_cuMemHostGetFlags                                            = 42,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoD                                                 = 43,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyHtoD                                               = 44,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoH                                                 = 45,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyDtoH                                               = 46,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoD                                                 = 47,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyDtoD                                               = 48,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoA                                                 = 49,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyDtoA                                               = 50,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoD                                                 = 51,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyAtoD                                               = 52,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoA                                                 = 53,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoH                                                 = 54,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoA                                                 = 55,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2D                                                   = 56,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2DUnaligned                                          = 57,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3D                                                   = 58,
   SANITIZER_CBID_DRIVER_API_cu64Memcpy3D                                                 = 59,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoDAsync                                            = 60,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyHtoDAsync                                          = 61,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoHAsync                                            = 62,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyDtoHAsync                                          = 63,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoDAsync                                            = 64,
   SANITIZER_CBID_DRIVER_API_cu64MemcpyDtoDAsync                                          = 65,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoAAsync                                            = 66,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoHAsync                                            = 67,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2DAsync                                              = 68,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DAsync                                              = 69,
   SANITIZER_CBID_DRIVER_API_cu64Memcpy3DAsync                                            = 70,
   SANITIZER_CBID_DRIVER_API_cuMemsetD8                                                   = 71,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD8                                                 = 72,
   SANITIZER_CBID_DRIVER_API_cuMemsetD16                                                  = 73,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD16                                                = 74,
   SANITIZER_CBID_DRIVER_API_cuMemsetD32                                                  = 75,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD32                                                = 76,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D8                                                 = 77,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD2D8                                               = 78,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D16                                                = 79,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD2D16                                              = 80,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D32                                                = 81,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD2D32                                              = 82,
   SANITIZER_CBID_DRIVER_API_cuFuncSetBlockShape                                          = 83,
   SANITIZER_CBID_DRIVER_API_cuFuncSetSharedSize                                          = 84,
   SANITIZER_CBID_DRIVER_API_cuFuncGetAttribute                                           = 85,
   SANITIZER_CBID_DRIVER_API_cuFuncSetCacheConfig                                         = 86,
   SANITIZER_CBID_DRIVER_API_cuArrayCreate                                                = 87,
   SANITIZER_CBID_DRIVER_API_cuArrayGetDescriptor                                         = 88,
   SANITIZER_CBID_DRIVER_API_cuArrayDestroy                                               = 89,
   SANITIZER_CBID_DRIVER_API_cuArray3DCreate                                              = 90,
   SANITIZER_CBID_DRIVER_API_cuArray3DGetDescriptor                                       = 91,
   SANITIZER_CBID_DRIVER_API_cuTexRefCreate                                               = 92,
   SANITIZER_CBID_DRIVER_API_cuTexRefDestroy                                              = 93,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetArray                                             = 94,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetAddress                                           = 95,
   SANITIZER_CBID_DRIVER_API_cu64TexRefSetAddress                                         = 96,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetAddress2D                                         = 97,
   SANITIZER_CBID_DRIVER_API_cu64TexRefSetAddress2D                                       = 98,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetFormat                                            = 99,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetAddressMode                                       = 100,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetFilterMode                                        = 101,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetFlags                                             = 102,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetAddress                                           = 103,
   SANITIZER_CBID_DRIVER_API_cu64TexRefGetAddress                                         = 104,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetArray                                             = 105,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetAddressMode                                       = 106,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetFilterMode                                        = 107,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetFormat                                            = 108,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetFlags                                             = 109,
   SANITIZER_CBID_DRIVER_API_cuParamSetSize                                               = 110,
   SANITIZER_CBID_DRIVER_API_cuParamSeti                                                  = 111,
   SANITIZER_CBID_DRIVER_API_cuParamSetf                                                  = 112,
   SANITIZER_CBID_DRIVER_API_cuParamSetv                                                  = 113,
   SANITIZER_CBID_DRIVER_API_cuParamSetTexRef                                             = 114,
   SANITIZER_CBID_DRIVER_API_cuLaunch                                                     = 115,
   SANITIZER_CBID_DRIVER_API_cuLaunchGrid                                                 = 116,
   SANITIZER_CBID_DRIVER_API_cuLaunchGridAsync                                            = 117,
   SANITIZER_CBID_DRIVER_API_cuEventCreate                                                = 118,
   SANITIZER_CBID_DRIVER_API_cuEventRecord                                                = 119,
   SANITIZER_CBID_DRIVER_API_cuEventQuery                                                 = 120,
   SANITIZER_CBID_DRIVER_API_cuEventSynchronize                                           = 121,
   SANITIZER_CBID_DRIVER_API_cuEventDestroy                                               = 122,
   SANITIZER_CBID_DRIVER_API_cuEventElapsedTime                                           = 123,
   SANITIZER_CBID_DRIVER_API_cuStreamCreate                                               = 124,
   SANITIZER_CBID_DRIVER_API_cuStreamQuery                                                = 125,
   SANITIZER_CBID_DRIVER_API_cuStreamSynchronize                                          = 126,
   SANITIZER_CBID_DRIVER_API_cuStreamDestroy                                              = 127,
   SANITIZER_CBID_DRIVER_API_cuGraphicsUnregisterResource                                 = 128,
   SANITIZER_CBID_DRIVER_API_cuGraphicsSubResourceGetMappedArray                          = 129,
   SANITIZER_CBID_DRIVER_API_cuGraphicsResourceGetMappedPointer                           = 130,
   SANITIZER_CBID_DRIVER_API_cu64GraphicsResourceGetMappedPointer                         = 131,
   SANITIZER_CBID_DRIVER_API_cuGraphicsResourceSetMapFlags                                = 132,
   SANITIZER_CBID_DRIVER_API_cuGraphicsMapResources                                       = 133,
   SANITIZER_CBID_DRIVER_API_cuGraphicsUnmapResources                                     = 134,
   SANITIZER_CBID_DRIVER_API_cuGetExportTable                                             = 135,
   SANITIZER_CBID_DRIVER_API_cuCtxSetLimit                                                = 136,
   SANITIZER_CBID_DRIVER_API_cuCtxGetLimit                                                = 137,
   SANITIZER_CBID_DRIVER_API_cuD3D10GetDevice                                             = 138,
   SANITIZER_CBID_DRIVER_API_cuD3D10CtxCreate                                             = 139,
   SANITIZER_CBID_DRIVER_API_cuGraphicsD3D10RegisterResource                              = 140,
   SANITIZER_CBID_DRIVER_API_cuD3D10RegisterResource                                      = 141,
   SANITIZER_CBID_DRIVER_API_cuD3D10UnregisterResource                                    = 142,
   SANITIZER_CBID_DRIVER_API_cuD3D10MapResources                                          = 143,
   SANITIZER_CBID_DRIVER_API_cuD3D10UnmapResources                                        = 144,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceSetMapFlags                                   = 145,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedArray                                = 146,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedPointer                              = 147,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedSize                                 = 148,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedPitch                                = 149,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetSurfaceDimensions                          = 150,
   SANITIZER_CBID_DRIVER_API_cuD3D11GetDevice                                             = 151,
   SANITIZER_CBID_DRIVER_API_cuD3D11CtxCreate                                             = 152,
   SANITIZER_CBID_DRIVER_API_cuGraphicsD3D11RegisterResource                              = 153,
   SANITIZER_CBID_DRIVER_API_cuD3D9GetDevice                                              = 154,
   SANITIZER_CBID_DRIVER_API_cuD3D9CtxCreate                                              = 155,
   SANITIZER_CBID_DRIVER_API_cuGraphicsD3D9RegisterResource                               = 156,
   SANITIZER_CBID_DRIVER_API_cuD3D9GetDirect3DDevice                                      = 157,
   SANITIZER_CBID_DRIVER_API_cuD3D9RegisterResource                                       = 158,
   SANITIZER_CBID_DRIVER_API_cuD3D9UnregisterResource                                     = 159,
   SANITIZER_CBID_DRIVER_API_cuD3D9MapResources                                           = 160,
   SANITIZER_CBID_DRIVER_API_cuD3D9UnmapResources                                         = 161,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceSetMapFlags                                    = 162,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetSurfaceDimensions                           = 163,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedArray                                 = 164,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedPointer                               = 165,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedSize                                  = 166,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedPitch                                 = 167,
   SANITIZER_CBID_DRIVER_API_cuD3D9Begin                                                  = 168,
   SANITIZER_CBID_DRIVER_API_cuD3D9End                                                    = 169,
   SANITIZER_CBID_DRIVER_API_cuD3D9RegisterVertexBuffer                                   = 170,
   SANITIZER_CBID_DRIVER_API_cuD3D9MapVertexBuffer                                        = 171,
   SANITIZER_CBID_DRIVER_API_cuD3D9UnmapVertexBuffer                                      = 172,
   SANITIZER_CBID_DRIVER_API_cuD3D9UnregisterVertexBuffer                                 = 173,
   SANITIZER_CBID_DRIVER_API_cuGLCtxCreate                                                = 174,
   SANITIZER_CBID_DRIVER_API_cuGraphicsGLRegisterBuffer                                   = 175,
   SANITIZER_CBID_DRIVER_API_cuGraphicsGLRegisterImage                                    = 176,
   SANITIZER_CBID_DRIVER_API_cuWGLGetDevice                                               = 177,
   SANITIZER_CBID_DRIVER_API_cuGLInit                                                     = 178,
   SANITIZER_CBID_DRIVER_API_cuGLRegisterBufferObject                                     = 179,
   SANITIZER_CBID_DRIVER_API_cuGLMapBufferObject                                          = 180,
   SANITIZER_CBID_DRIVER_API_cuGLUnmapBufferObject                                        = 181,
   SANITIZER_CBID_DRIVER_API_cuGLUnregisterBufferObject                                   = 182,
   SANITIZER_CBID_DRIVER_API_cuGLSetBufferObjectMapFlags                                  = 183,
   SANITIZER_CBID_DRIVER_API_cuGLMapBufferObjectAsync                                     = 184,
   SANITIZER_CBID_DRIVER_API_cuGLUnmapBufferObjectAsync                                   = 185,
   SANITIZER_CBID_DRIVER_API_cuVDPAUGetDevice                                             = 186,
   SANITIZER_CBID_DRIVER_API_cuVDPAUCtxCreate                                             = 187,
   SANITIZER_CBID_DRIVER_API_cuGraphicsVDPAURegisterVideoSurface                          = 188,
   SANITIZER_CBID_DRIVER_API_cuGraphicsVDPAURegisterOutputSurface                         = 189,
   SANITIZER_CBID_DRIVER_API_cuModuleGetSurfRef                                           = 190,
   SANITIZER_CBID_DRIVER_API_cuSurfRefCreate                                              = 191,
   SANITIZER_CBID_DRIVER_API_cuSurfRefDestroy                                             = 192,
   SANITIZER_CBID_DRIVER_API_cuSurfRefSetFormat                                           = 193,
   SANITIZER_CBID_DRIVER_API_cuSurfRefSetArray                                            = 194,
   SANITIZER_CBID_DRIVER_API_cuSurfRefGetFormat                                           = 195,
   SANITIZER_CBID_DRIVER_API_cuSurfRefGetArray                                            = 196,
   SANITIZER_CBID_DRIVER_API_cu64DeviceTotalMem                                           = 197,
   SANITIZER_CBID_DRIVER_API_cu64D3D10ResourceGetMappedPointer                            = 198,
   SANITIZER_CBID_DRIVER_API_cu64D3D10ResourceGetMappedSize                               = 199,
   SANITIZER_CBID_DRIVER_API_cu64D3D10ResourceGetMappedPitch                              = 200,
   SANITIZER_CBID_DRIVER_API_cu64D3D10ResourceGetSurfaceDimensions                        = 201,
   SANITIZER_CBID_DRIVER_API_cu64D3D9ResourceGetSurfaceDimensions                         = 202,
   SANITIZER_CBID_DRIVER_API_cu64D3D9ResourceGetMappedPointer                             = 203,
   SANITIZER_CBID_DRIVER_API_cu64D3D9ResourceGetMappedSize                                = 204,
   SANITIZER_CBID_DRIVER_API_cu64D3D9ResourceGetMappedPitch                               = 205,
   SANITIZER_CBID_DRIVER_API_cu64D3D9MapVertexBuffer                                      = 206,
   SANITIZER_CBID_DRIVER_API_cu64GLMapBufferObject                                        = 207,
   SANITIZER_CBID_DRIVER_API_cu64GLMapBufferObjectAsync                                   = 208,
   SANITIZER_CBID_DRIVER_API_cuD3D11GetDevices                                            = 209,
   SANITIZER_CBID_DRIVER_API_cuD3D11CtxCreateOnDevice                                     = 210,
   SANITIZER_CBID_DRIVER_API_cuD3D10GetDevices                                            = 211,
   SANITIZER_CBID_DRIVER_API_cuD3D10CtxCreateOnDevice                                     = 212,
   SANITIZER_CBID_DRIVER_API_cuD3D9GetDevices                                             = 213,
   SANITIZER_CBID_DRIVER_API_cuD3D9CtxCreateOnDevice                                      = 214,
   SANITIZER_CBID_DRIVER_API_cu64MemHostAlloc                                             = 215,
   SANITIZER_CBID_DRIVER_API_cuMemsetD8Async                                              = 216,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD8Async                                            = 217,
   SANITIZER_CBID_DRIVER_API_cuMemsetD16Async                                             = 218,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD16Async                                           = 219,
   SANITIZER_CBID_DRIVER_API_cuMemsetD32Async                                             = 220,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD32Async                                           = 221,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D8Async                                            = 222,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD2D8Async                                          = 223,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D16Async                                           = 224,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD2D16Async                                         = 225,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D32Async                                           = 226,
   SANITIZER_CBID_DRIVER_API_cu64MemsetD2D32Async                                         = 227,
   SANITIZER_CBID_DRIVER_API_cu64ArrayCreate                                              = 228,
   SANITIZER_CBID_DRIVER_API_cu64ArrayGetDescriptor                                       = 229,
   SANITIZER_CBID_DRIVER_API_cu64Array3DCreate                                            = 230,
   SANITIZER_CBID_DRIVER_API_cu64Array3DGetDescriptor                                     = 231,
   SANITIZER_CBID_DRIVER_API_cu64Memcpy2D                                                 = 232,
   SANITIZER_CBID_DRIVER_API_cu64Memcpy2DUnaligned                                        = 233,
   SANITIZER_CBID_DRIVER_API_cu64Memcpy2DAsync                                            = 234,
   SANITIZER_CBID_DRIVER_API_cuCtxCreate_v2                                               = 235,
   SANITIZER_CBID_DRIVER_API_cuD3D10CtxCreate_v2                                          = 236,
   SANITIZER_CBID_DRIVER_API_cuD3D11CtxCreate_v2                                          = 237,
   SANITIZER_CBID_DRIVER_API_cuD3D9CtxCreate_v2                                           = 238,
   SANITIZER_CBID_DRIVER_API_cuGLCtxCreate_v2                                             = 239,
   SANITIZER_CBID_DRIVER_API_cuVDPAUCtxCreate_v2                                          = 240,
   SANITIZER_CBID_DRIVER_API_cuModuleGetGlobal_v2                                         = 241,
   SANITIZER_CBID_DRIVER_API_cuMemGetInfo_v2                                              = 242,
   SANITIZER_CBID_DRIVER_API_cuMemAlloc_v2                                                = 243,
   SANITIZER_CBID_DRIVER_API_cuMemAllocPitch_v2                                           = 244,
   SANITIZER_CBID_DRIVER_API_cuMemFree_v2                                                 = 245,
   SANITIZER_CBID_DRIVER_API_cuMemGetAddressRange_v2                                      = 246,
   SANITIZER_CBID_DRIVER_API_cuMemHostGetDevicePointer_v2                                 = 247,
   SANITIZER_CBID_DRIVER_API_cuMemcpy_v2                                                  = 248,
   SANITIZER_CBID_DRIVER_API_cuMemsetD8_v2                                                = 249,
   SANITIZER_CBID_DRIVER_API_cuMemsetD16_v2                                               = 250,
   SANITIZER_CBID_DRIVER_API_cuMemsetD32_v2                                               = 251,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D8_v2                                              = 252,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D16_v2                                             = 253,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D32_v2                                             = 254,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetAddress_v2                                        = 255,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetAddress2D_v2                                      = 256,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetAddress_v2                                        = 257,
   SANITIZER_CBID_DRIVER_API_cuGraphicsResourceGetMappedPointer_v2                        = 258,
   SANITIZER_CBID_DRIVER_API_cuDeviceTotalMem_v2                                          = 259,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedPointer_v2                           = 260,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedSize_v2                              = 261,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetMappedPitch_v2                             = 262,
   SANITIZER_CBID_DRIVER_API_cuD3D10ResourceGetSurfaceDimensions_v2                       = 263,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetSurfaceDimensions_v2                        = 264,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedPointer_v2                            = 265,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedSize_v2                               = 266,
   SANITIZER_CBID_DRIVER_API_cuD3D9ResourceGetMappedPitch_v2                              = 267,
   SANITIZER_CBID_DRIVER_API_cuD3D9MapVertexBuffer_v2                                     = 268,
   SANITIZER_CBID_DRIVER_API_cuGLMapBufferObject_v2                                       = 269,
   SANITIZER_CBID_DRIVER_API_cuGLMapBufferObjectAsync_v2                                  = 270,
   SANITIZER_CBID_DRIVER_API_cuMemHostAlloc_v2                                            = 271,
   SANITIZER_CBID_DRIVER_API_cuArrayCreate_v2                                             = 272,
   SANITIZER_CBID_DRIVER_API_cuArrayGetDescriptor_v2                                      = 273,
   SANITIZER_CBID_DRIVER_API_cuArray3DCreate_v2                                           = 274,
   SANITIZER_CBID_DRIVER_API_cuArray3DGetDescriptor_v2                                    = 275,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoD_v2                                              = 276,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoDAsync_v2                                         = 277,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoH_v2                                              = 278,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoHAsync_v2                                         = 279,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoD_v2                                              = 280,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoDAsync_v2                                         = 281,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoH_v2                                              = 282,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoHAsync_v2                                         = 283,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoD_v2                                              = 284,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoA_v2                                              = 285,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoA_v2                                              = 286,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2D_v2                                                = 287,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2DUnaligned_v2                                       = 288,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2DAsync_v2                                           = 289,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3D_v2                                                = 290,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DAsync_v2                                           = 291,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoA_v2                                              = 292,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoAAsync_v2                                         = 293,
   SANITIZER_CBID_DRIVER_API_cuMemAllocHost_v2                                            = 294,
   SANITIZER_CBID_DRIVER_API_cuStreamWaitEvent                                            = 295,
   SANITIZER_CBID_DRIVER_API_cuCtxGetApiVersion                                           = 296,
   SANITIZER_CBID_DRIVER_API_cuD3D10GetDirect3DDevice                                     = 297,
   SANITIZER_CBID_DRIVER_API_cuD3D11GetDirect3DDevice                                     = 298,
   SANITIZER_CBID_DRIVER_API_cuCtxGetCacheConfig                                          = 299,
   SANITIZER_CBID_DRIVER_API_cuCtxSetCacheConfig                                          = 300,
   SANITIZER_CBID_DRIVER_API_cuMemHostRegister                                            = 301,
   SANITIZER_CBID_DRIVER_API_cuMemHostUnregister                                          = 302,
   SANITIZER_CBID_DRIVER_API_cuCtxSetCurrent                                              = 303,
   SANITIZER_CBID_DRIVER_API_cuCtxGetCurrent                                              = 304,
   SANITIZER_CBID_DRIVER_API_cuMemcpy                                                     = 305,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAsync                                                = 306,
   SANITIZER_CBID_DRIVER_API_cuLaunchKernel                                               = 307,
   SANITIZER_CBID_DRIVER_API_cuProfilerStart                                              = 308,
   SANITIZER_CBID_DRIVER_API_cuProfilerStop                                               = 309,
   SANITIZER_CBID_DRIVER_API_cuPointerGetAttribute                                        = 310,
   SANITIZER_CBID_DRIVER_API_cuProfilerInitialize                                         = 311,
   SANITIZER_CBID_DRIVER_API_cuDeviceCanAccessPeer                                        = 312,
   SANITIZER_CBID_DRIVER_API_cuCtxEnablePeerAccess                                        = 313,
   SANITIZER_CBID_DRIVER_API_cuCtxDisablePeerAccess                                       = 314,
   SANITIZER_CBID_DRIVER_API_cuMemPeerRegister                                            = 315,
   SANITIZER_CBID_DRIVER_API_cuMemPeerUnregister                                          = 316,
   SANITIZER_CBID_DRIVER_API_cuMemPeerGetDevicePointer                                    = 317,
   SANITIZER_CBID_DRIVER_API_cuMemcpyPeer                                                 = 318,
   SANITIZER_CBID_DRIVER_API_cuMemcpyPeerAsync                                            = 319,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DPeer                                               = 320,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DPeerAsync                                          = 321,
   SANITIZER_CBID_DRIVER_API_cuCtxDestroy_v2                                              = 322,
   SANITIZER_CBID_DRIVER_API_cuCtxPushCurrent_v2                                          = 323,
   SANITIZER_CBID_DRIVER_API_cuCtxPopCurrent_v2                                           = 324,
   SANITIZER_CBID_DRIVER_API_cuEventDestroy_v2                                            = 325,
   SANITIZER_CBID_DRIVER_API_cuStreamDestroy_v2                                           = 326,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetAddress2D_v3                                      = 327,
   SANITIZER_CBID_DRIVER_API_cuIpcGetMemHandle                                            = 328,
   SANITIZER_CBID_DRIVER_API_cuIpcOpenMemHandle                                           = 329,
   SANITIZER_CBID_DRIVER_API_cuIpcCloseMemHandle                                          = 330,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetByPCIBusId                                        = 331,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetPCIBusId                                          = 332,
   SANITIZER_CBID_DRIVER_API_cuGLGetDevices                                               = 333,
   SANITIZER_CBID_DRIVER_API_cuIpcGetEventHandle                                          = 334,
   SANITIZER_CBID_DRIVER_API_cuIpcOpenEventHandle                                         = 335,
   SANITIZER_CBID_DRIVER_API_cuCtxSetSharedMemConfig                                      = 336,
   SANITIZER_CBID_DRIVER_API_cuCtxGetSharedMemConfig                                      = 337,
   SANITIZER_CBID_DRIVER_API_cuFuncSetSharedMemConfig                                     = 338,
   SANITIZER_CBID_DRIVER_API_cuTexObjectCreate                                            = 339,
   SANITIZER_CBID_DRIVER_API_cuTexObjectDestroy                                           = 340,
   SANITIZER_CBID_DRIVER_API_cuTexObjectGetResourceDesc                                   = 341,
   SANITIZER_CBID_DRIVER_API_cuTexObjectGetTextureDesc                                    = 342,
   SANITIZER_CBID_DRIVER_API_cuSurfObjectCreate                                           = 343,
   SANITIZER_CBID_DRIVER_API_cuSurfObjectDestroy                                          = 344,
   SANITIZER_CBID_DRIVER_API_cuSurfObjectGetResourceDesc                                  = 345,
   SANITIZER_CBID_DRIVER_API_cuStreamAddCallback                                          = 346,
   SANITIZER_CBID_DRIVER_API_cuMipmappedArrayCreate                                       = 347,
   SANITIZER_CBID_DRIVER_API_cuMipmappedArrayGetLevel                                     = 348,
   SANITIZER_CBID_DRIVER_API_cuMipmappedArrayDestroy                                      = 349,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetMipmappedArray                                    = 350,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetMipmapFilterMode                                  = 351,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetMipmapLevelBias                                   = 352,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetMipmapLevelClamp                                  = 353,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetMaxAnisotropy                                     = 354,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetMipmappedArray                                    = 355,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetMipmapFilterMode                                  = 356,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetMipmapLevelBias                                   = 357,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetMipmapLevelClamp                                  = 358,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetMaxAnisotropy                                     = 359,
   SANITIZER_CBID_DRIVER_API_cuGraphicsResourceGetMappedMipmappedArray                    = 360,
   SANITIZER_CBID_DRIVER_API_cuTexObjectGetResourceViewDesc                               = 361,
   SANITIZER_CBID_DRIVER_API_cuLinkCreate                                                 = 362,
   SANITIZER_CBID_DRIVER_API_cuLinkAddData                                                = 363,
   SANITIZER_CBID_DRIVER_API_cuLinkAddFile                                                = 364,
   SANITIZER_CBID_DRIVER_API_cuLinkComplete                                               = 365,
   SANITIZER_CBID_DRIVER_API_cuLinkDestroy                                                = 366,
   SANITIZER_CBID_DRIVER_API_cuStreamCreateWithPriority                                   = 367,
   SANITIZER_CBID_DRIVER_API_cuStreamGetPriority                                          = 368,
   SANITIZER_CBID_DRIVER_API_cuStreamGetFlags                                             = 369,
   SANITIZER_CBID_DRIVER_API_cuCtxGetStreamPriorityRange                                  = 370,
   SANITIZER_CBID_DRIVER_API_cuMemAllocManaged                                            = 371,
   SANITIZER_CBID_DRIVER_API_cuGetErrorString                                             = 372,
   SANITIZER_CBID_DRIVER_API_cuGetErrorName                                               = 373,
   SANITIZER_CBID_DRIVER_API_cuOccupancyMaxActiveBlocksPerMultiprocessor                  = 374,
   SANITIZER_CBID_DRIVER_API_cuCompilePtx                                                 = 375,
   SANITIZER_CBID_DRIVER_API_cuBinaryFree                                                 = 376,
   SANITIZER_CBID_DRIVER_API_cuStreamAttachMemAsync                                       = 377,
   SANITIZER_CBID_DRIVER_API_cuPointerSetAttribute                                        = 378,
   SANITIZER_CBID_DRIVER_API_cuMemHostRegister_v2                                         = 379,
   SANITIZER_CBID_DRIVER_API_cuGraphicsResourceSetMapFlags_v2                             = 380,
   SANITIZER_CBID_DRIVER_API_cuLinkCreate_v2                                              = 381,
   SANITIZER_CBID_DRIVER_API_cuLinkAddData_v2                                             = 382,
   SANITIZER_CBID_DRIVER_API_cuLinkAddFile_v2                                             = 383,
   SANITIZER_CBID_DRIVER_API_cuOccupancyMaxPotentialBlockSize                             = 384,
   SANITIZER_CBID_DRIVER_API_cuGLGetDevices_v2                                            = 385,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxRetain                                     = 386,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxRelease                                    = 387,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxSetFlags                                   = 388,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxReset                                      = 389,
   SANITIZER_CBID_DRIVER_API_cuGraphicsEGLRegisterImage                                   = 390,
   SANITIZER_CBID_DRIVER_API_cuCtxGetFlags                                                = 391,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxGetState                                   = 392,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamConsumerConnect                                   = 393,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamConsumerDisconnect                                = 394,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamConsumerAcquireFrame                              = 395,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamConsumerReleaseFrame                              = 396,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoD_v2_ptds                                         = 397,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoH_v2_ptds                                         = 398,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoD_v2_ptds                                         = 399,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoA_v2_ptds                                         = 400,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoD_v2_ptds                                         = 401,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoA_v2_ptds                                         = 402,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoH_v2_ptds                                         = 403,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoA_v2_ptds                                         = 404,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2D_v2_ptds                                           = 405,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2DUnaligned_v2_ptds                                  = 406,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3D_v2_ptds                                           = 407,
   SANITIZER_CBID_DRIVER_API_cuMemcpy_ptds                                                = 408,
   SANITIZER_CBID_DRIVER_API_cuMemcpyPeer_ptds                                            = 409,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DPeer_ptds                                          = 410,
   SANITIZER_CBID_DRIVER_API_cuMemsetD8_v2_ptds                                           = 411,
   SANITIZER_CBID_DRIVER_API_cuMemsetD16_v2_ptds                                          = 412,
   SANITIZER_CBID_DRIVER_API_cuMemsetD32_v2_ptds                                          = 413,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D8_v2_ptds                                         = 414,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D16_v2_ptds                                        = 415,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D32_v2_ptds                                        = 416,
   SANITIZER_CBID_DRIVER_API_cuGLMapBufferObject_v2_ptds                                  = 417,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAsync_ptsz                                           = 418,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoAAsync_v2_ptsz                                    = 419,
   SANITIZER_CBID_DRIVER_API_cuMemcpyAtoHAsync_v2_ptsz                                    = 420,
   SANITIZER_CBID_DRIVER_API_cuMemcpyHtoDAsync_v2_ptsz                                    = 421,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoHAsync_v2_ptsz                                    = 422,
   SANITIZER_CBID_DRIVER_API_cuMemcpyDtoDAsync_v2_ptsz                                    = 423,
   SANITIZER_CBID_DRIVER_API_cuMemcpy2DAsync_v2_ptsz                                      = 424,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DAsync_v2_ptsz                                      = 425,
   SANITIZER_CBID_DRIVER_API_cuMemcpyPeerAsync_ptsz                                       = 426,
   SANITIZER_CBID_DRIVER_API_cuMemcpy3DPeerAsync_ptsz                                     = 427,
   SANITIZER_CBID_DRIVER_API_cuMemsetD8Async_ptsz                                         = 428,
   SANITIZER_CBID_DRIVER_API_cuMemsetD16Async_ptsz                                        = 429,
   SANITIZER_CBID_DRIVER_API_cuMemsetD32Async_ptsz                                        = 430,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D8Async_ptsz                                       = 431,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D16Async_ptsz                                      = 432,
   SANITIZER_CBID_DRIVER_API_cuMemsetD2D32Async_ptsz                                      = 433,
   SANITIZER_CBID_DRIVER_API_cuStreamGetPriority_ptsz                                     = 434,
   SANITIZER_CBID_DRIVER_API_cuStreamGetFlags_ptsz                                        = 435,
   SANITIZER_CBID_DRIVER_API_cuStreamWaitEvent_ptsz                                       = 436,
   SANITIZER_CBID_DRIVER_API_cuStreamAddCallback_ptsz                                     = 437,
   SANITIZER_CBID_DRIVER_API_cuStreamAttachMemAsync_ptsz                                  = 438,
   SANITIZER_CBID_DRIVER_API_cuStreamQuery_ptsz                                           = 439,
   SANITIZER_CBID_DRIVER_API_cuStreamSynchronize_ptsz                                     = 440,
   SANITIZER_CBID_DRIVER_API_cuEventRecord_ptsz                                           = 441,
   SANITIZER_CBID_DRIVER_API_cuLaunchKernel_ptsz                                          = 442,
   SANITIZER_CBID_DRIVER_API_cuGraphicsMapResources_ptsz                                  = 443,
   SANITIZER_CBID_DRIVER_API_cuGraphicsUnmapResources_ptsz                                = 444,
   SANITIZER_CBID_DRIVER_API_cuGLMapBufferObjectAsync_v2_ptsz                             = 445,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamProducerConnect                                   = 446,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamProducerDisconnect                                = 447,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamProducerPresentFrame                              = 448,
   SANITIZER_CBID_DRIVER_API_cuGraphicsResourceGetMappedEglFrame                          = 449,
   SANITIZER_CBID_DRIVER_API_cuPointerGetAttributes                                       = 450,
   SANITIZER_CBID_DRIVER_API_cuOccupancyMaxActiveBlocksPerMultiprocessorWithFlags         = 451,
   SANITIZER_CBID_DRIVER_API_cuOccupancyMaxPotentialBlockSizeWithFlags                    = 452,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamProducerReturnFrame                               = 453,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetP2PAttribute                                      = 454,
   SANITIZER_CBID_DRIVER_API_cuTexRefSetBorderColor                                       = 455,
   SANITIZER_CBID_DRIVER_API_cuTexRefGetBorderColor                                       = 456,
   SANITIZER_CBID_DRIVER_API_cuMemAdvise                                                  = 457,
   SANITIZER_CBID_DRIVER_API_cuStreamWaitValue32                                          = 458,
   SANITIZER_CBID_DRIVER_API_cuStreamWaitValue32_ptsz                                     = 459,
   SANITIZER_CBID_DRIVER_API_cuStreamWriteValue32                                         = 460,
   SANITIZER_CBID_DRIVER_API_cuStreamWriteValue32_ptsz                                    = 461,
   SANITIZER_CBID_DRIVER_API_cuStreamBatchMemOp                                           = 462,
   SANITIZER_CBID_DRIVER_API_cuStreamBatchMemOp_ptsz                                      = 463,
   SANITIZER_CBID_DRIVER_API_cuNVNbufferGetPointer                                        = 464,
   SANITIZER_CBID_DRIVER_API_cuNVNtextureGetArray                                         = 465,
   SANITIZER_CBID_DRIVER_API_cuNNSetAllocator                                             = 466,
   SANITIZER_CBID_DRIVER_API_cuMemPrefetchAsync                                           = 467,
   SANITIZER_CBID_DRIVER_API_cuMemPrefetchAsync_ptsz                                      = 468,
   SANITIZER_CBID_DRIVER_API_cuEventCreateFromNVNSync                                     = 469,
   SANITIZER_CBID_DRIVER_API_cuEGLStreamConsumerConnectWithFlags                          = 470,
   SANITIZER_CBID_DRIVER_API_cuMemRangeGetAttribute                                       = 471,
   SANITIZER_CBID_DRIVER_API_cuMemRangeGetAttributes                                      = 472,
   SANITIZER_CBID_DRIVER_API_cuStreamWaitValue64                                          = 473,
   SANITIZER_CBID_DRIVER_API_cuStreamWaitValue64_ptsz                                     = 474,
   SANITIZER_CBID_DRIVER_API_cuStreamWriteValue64                                         = 475,
   SANITIZER_CBID_DRIVER_API_cuStreamWriteValue64_ptsz                                    = 476,
   SANITIZER_CBID_DRIVER_API_cuLaunchCooperativeKernel                                    = 477,
   SANITIZER_CBID_DRIVER_API_cuLaunchCooperativeKernel_ptsz                               = 478,
   SANITIZER_CBID_DRIVER_API_cuEventCreateFromEGLSync                                     = 479,
   SANITIZER_CBID_DRIVER_API_cuLaunchCooperativeKernelMultiDevice                         = 480,
   SANITIZER_CBID_DRIVER_API_cuFuncSetAttribute                                           = 481,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetUuid                                              = 482,
   SANITIZER_CBID_DRIVER_API_cuStreamGetCtx                                               = 483,
   SANITIZER_CBID_DRIVER_API_cuStreamGetCtx_ptsz                                          = 484,
   SANITIZER_CBID_DRIVER_API_cuImportExternalMemory                                       = 485,
   SANITIZER_CBID_DRIVER_API_cuExternalMemoryGetMappedBuffer                              = 486,
   SANITIZER_CBID_DRIVER_API_cuExternalMemoryGetMappedMipmappedArray                      = 487,
   SANITIZER_CBID_DRIVER_API_cuDestroyExternalMemory                                      = 488,
   SANITIZER_CBID_DRIVER_API_cuImportExternalSemaphore                                    = 489,
   SANITIZER_CBID_DRIVER_API_cuSignalExternalSemaphoresAsync                              = 490,
   SANITIZER_CBID_DRIVER_API_cuSignalExternalSemaphoresAsync_ptsz                         = 491,
   SANITIZER_CBID_DRIVER_API_cuWaitExternalSemaphoresAsync                                = 492,
   SANITIZER_CBID_DRIVER_API_cuWaitExternalSemaphoresAsync_ptsz                           = 493,
   SANITIZER_CBID_DRIVER_API_cuDestroyExternalSemaphore                                   = 494,
   SANITIZER_CBID_DRIVER_API_cuStreamBeginCapture                                         = 495,
   SANITIZER_CBID_DRIVER_API_cuStreamBeginCapture_ptsz                                    = 496,
   SANITIZER_CBID_DRIVER_API_cuStreamEndCapture                                           = 497,
   SANITIZER_CBID_DRIVER_API_cuStreamEndCapture_ptsz                                      = 498,
   SANITIZER_CBID_DRIVER_API_cuStreamIsCapturing                                          = 499,
   SANITIZER_CBID_DRIVER_API_cuStreamIsCapturing_ptsz                                     = 500,
   SANITIZER_CBID_DRIVER_API_cuGraphCreate                                                = 501,
   SANITIZER_CBID_DRIVER_API_cuGraphAddKernelNode                                         = 502,
   SANITIZER_CBID_DRIVER_API_cuGraphKernelNodeGetParams                                   = 503,
   SANITIZER_CBID_DRIVER_API_cuGraphAddMemcpyNode                                         = 504,
   SANITIZER_CBID_DRIVER_API_cuGraphMemcpyNodeGetParams                                   = 505,
   SANITIZER_CBID_DRIVER_API_cuGraphAddMemsetNode                                         = 506,
   SANITIZER_CBID_DRIVER_API_cuGraphMemsetNodeGetParams                                   = 507,
   SANITIZER_CBID_DRIVER_API_cuGraphMemsetNodeSetParams                                   = 508,
   SANITIZER_CBID_DRIVER_API_cuGraphNodeGetType                                           = 509,
   SANITIZER_CBID_DRIVER_API_cuGraphGetRootNodes                                          = 510,
   SANITIZER_CBID_DRIVER_API_cuGraphNodeGetDependencies                                   = 511,
   SANITIZER_CBID_DRIVER_API_cuGraphNodeGetDependentNodes                                 = 512,
   SANITIZER_CBID_DRIVER_API_cuGraphInstantiate                                           = 513,
   SANITIZER_CBID_DRIVER_API_cuGraphLaunch                                                = 514,
   SANITIZER_CBID_DRIVER_API_cuGraphLaunch_ptsz                                           = 515,
   SANITIZER_CBID_DRIVER_API_cuGraphExecDestroy                                           = 516,
   SANITIZER_CBID_DRIVER_API_cuGraphDestroy                                               = 517,
   SANITIZER_CBID_DRIVER_API_cuGraphAddDependencies                                       = 518,
   SANITIZER_CBID_DRIVER_API_cuGraphRemoveDependencies                                    = 519,
   SANITIZER_CBID_DRIVER_API_cuGraphMemcpyNodeSetParams                                   = 520,
   SANITIZER_CBID_DRIVER_API_cuGraphKernelNodeSetParams                                   = 521,
   SANITIZER_CBID_DRIVER_API_cuGraphDestroyNode                                           = 522,
   SANITIZER_CBID_DRIVER_API_cuGraphClone                                                 = 523,
   SANITIZER_CBID_DRIVER_API_cuGraphNodeFindInClone                                       = 524,
   SANITIZER_CBID_DRIVER_API_cuGraphAddChildGraphNode                                     = 525,
   SANITIZER_CBID_DRIVER_API_cuGraphAddEmptyNode                                          = 526,
   SANITIZER_CBID_DRIVER_API_cuLaunchHostFunc                                             = 527,
   SANITIZER_CBID_DRIVER_API_cuLaunchHostFunc_ptsz                                        = 528,
   SANITIZER_CBID_DRIVER_API_cuGraphChildGraphNodeGetGraph                                = 529,
   SANITIZER_CBID_DRIVER_API_cuGraphAddHostNode                                           = 530,
   SANITIZER_CBID_DRIVER_API_cuGraphHostNodeGetParams                                     = 531,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetLuid                                              = 532,
   SANITIZER_CBID_DRIVER_API_cuGraphHostNodeSetParams                                     = 533,
   SANITIZER_CBID_DRIVER_API_cuGraphGetNodes                                              = 534,
   SANITIZER_CBID_DRIVER_API_cuGraphGetEdges                                              = 535,
   SANITIZER_CBID_DRIVER_API_cuStreamGetCaptureInfo                                       = 536,
   SANITIZER_CBID_DRIVER_API_cuStreamGetCaptureInfo_ptsz                                  = 537,
   SANITIZER_CBID_DRIVER_API_cuGraphExecKernelNodeSetParams                               = 538,
   SANITIZER_CBID_DRIVER_API_cuStreamBeginCapture_v2                                      = 539,
   SANITIZER_CBID_DRIVER_API_cuStreamBeginCapture_v2_ptsz                                 = 540,
   SANITIZER_CBID_DRIVER_API_cuThreadExchangeStreamCaptureMode                            = 541,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetNvSciSyncAttributes                               = 542,
   SANITIZER_CBID_DRIVER_API_cuOccupancyAvailableDynamicSMemPerBlock                      = 543,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxRelease_v2                                 = 544,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxReset_v2                                   = 545,
   SANITIZER_CBID_DRIVER_API_cuDevicePrimaryCtxSetFlags_v2                                = 546,
   SANITIZER_CBID_DRIVER_API_cuMemAddressReserve                                          = 547,
   SANITIZER_CBID_DRIVER_API_cuMemAddressFree                                             = 548,
   SANITIZER_CBID_DRIVER_API_cuMemCreate                                                  = 549,
   SANITIZER_CBID_DRIVER_API_cuMemRelease                                                 = 550,
   SANITIZER_CBID_DRIVER_API_cuMemMap                                                     = 551,
   SANITIZER_CBID_DRIVER_API_cuMemUnmap                                                   = 552,
   SANITIZER_CBID_DRIVER_API_cuMemSetAccess                                               = 553,
   SANITIZER_CBID_DRIVER_API_cuMemExportToShareableHandle                                 = 554,
   SANITIZER_CBID_DRIVER_API_cuMemImportFromShareableHandle                               = 555,
   SANITIZER_CBID_DRIVER_API_cuMemGetAllocationGranularity                                = 556,
   SANITIZER_CBID_DRIVER_API_cuMemGetAllocationPropertiesFromHandle                       = 557,
   SANITIZER_CBID_DRIVER_API_cuMemGetAccess                                               = 558,
   SANITIZER_CBID_DRIVER_API_cuStreamSetFlags                                             = 559,
   SANITIZER_CBID_DRIVER_API_cuStreamSetFlags_ptsz                                        = 560,
   SANITIZER_CBID_DRIVER_API_cuGraphExecUpdate                                            = 561,
   SANITIZER_CBID_DRIVER_API_cuGraphExecMemcpyNodeSetParams                               = 562,
   SANITIZER_CBID_DRIVER_API_cuGraphExecMemsetNodeSetParams                               = 563,
   SANITIZER_CBID_DRIVER_API_cuGraphExecHostNodeSetParams                                 = 564,
   SANITIZER_CBID_DRIVER_API_cuMemRetainAllocationHandle                                  = 565,
   SANITIZER_CBID_DRIVER_API_cuFuncGetModule                                              = 566,
   SANITIZER_CBID_DRIVER_API_cuIpcOpenMemHandle_v2                                        = 567,
   SANITIZER_CBID_DRIVER_API_cuCtxResetPersistingL2Cache                                  = 568,
   SANITIZER_CBID_DRIVER_API_cuGraphKernelNodeCopyAttributes                              = 569,
   SANITIZER_CBID_DRIVER_API_cuGraphKernelNodeGetAttribute                                = 570,
   SANITIZER_CBID_DRIVER_API_cuGraphKernelNodeSetAttribute                                = 571,
   SANITIZER_CBID_DRIVER_API_cuStreamCopyAttributes                                       = 572,
   SANITIZER_CBID_DRIVER_API_cuStreamCopyAttributes_ptsz                                  = 573,
   SANITIZER_CBID_DRIVER_API_cuStreamGetAttribute                                         = 574,
   SANITIZER_CBID_DRIVER_API_cuStreamGetAttribute_ptsz                                    = 575,
   SANITIZER_CBID_DRIVER_API_cuStreamSetAttribute                                         = 576,
   SANITIZER_CBID_DRIVER_API_cuStreamSetAttribute_ptsz                                    = 577,
   SANITIZER_CBID_DRIVER_API_cuGraphInstantiate_v2                                        = 578,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetTexture1DLinearMaxWidth                           = 579,
   SANITIZER_CBID_DRIVER_API_cuGraphUpload                                                = 580,
   SANITIZER_CBID_DRIVER_API_cuGraphUpload_ptsz                                           = 581,
   SANITIZER_CBID_DRIVER_API_cuArrayGetSparseProperties                                   = 582,
   SANITIZER_CBID_DRIVER_API_cuMipmappedArrayGetSparseProperties                          = 583,
   SANITIZER_CBID_DRIVER_API_cuMemMapArrayAsync                                           = 584,
   SANITIZER_CBID_DRIVER_API_cuMemMapArrayAsync_ptsz                                      = 585,
   SANITIZER_CBID_DRIVER_API_cuGraphExecChildGraphNodeSetParams                           = 586,
   SANITIZER_CBID_DRIVER_API_cuEventRecordWithFlags                                       = 587,
   SANITIZER_CBID_DRIVER_API_cuEventRecordWithFlags_ptsz                                  = 588,
   SANITIZER_CBID_DRIVER_API_cuGraphAddEventRecordNode                                    = 589,
   SANITIZER_CBID_DRIVER_API_cuGraphAddEventWaitNode                                      = 590,
   SANITIZER_CBID_DRIVER_API_cuGraphEventRecordNodeGetEvent                               = 591,
   SANITIZER_CBID_DRIVER_API_cuGraphEventWaitNodeGetEvent                                 = 592,
   SANITIZER_CBID_DRIVER_API_cuGraphEventRecordNodeSetEvent                               = 593,
   SANITIZER_CBID_DRIVER_API_cuGraphEventWaitNodeSetEvent                                 = 594,
   SANITIZER_CBID_DRIVER_API_cuGraphExecEventRecordNodeSetEvent                           = 595,
   SANITIZER_CBID_DRIVER_API_cuGraphExecEventWaitNodeSetEvent                             = 596,
   SANITIZER_CBID_DRIVER_API_cuArrayGetPlane                                              = 597,
   SANITIZER_CBID_DRIVER_API_cuMemAllocAsync                                              = 598,
   SANITIZER_CBID_DRIVER_API_cuMemAllocAsync_ptsz                                         = 599,
   SANITIZER_CBID_DRIVER_API_cuMemFreeAsync                                               = 600,
   SANITIZER_CBID_DRIVER_API_cuMemFreeAsync_ptsz                                          = 601,
   SANITIZER_CBID_DRIVER_API_cuMemPoolTrimTo                                              = 602,
   SANITIZER_CBID_DRIVER_API_cuMemPoolSetAttribute                                        = 603,
   SANITIZER_CBID_DRIVER_API_cuMemPoolGetAttribute                                        = 604,
   SANITIZER_CBID_DRIVER_API_cuMemPoolSetAccess                                           = 605,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetDefaultMemPool                                    = 606,
   SANITIZER_CBID_DRIVER_API_cuMemPoolCreate                                              = 607,
   SANITIZER_CBID_DRIVER_API_cuMemPoolDestroy                                             = 608,
   SANITIZER_CBID_DRIVER_API_cuDeviceSetMemPool                                           = 609,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetMemPool                                           = 610,
   SANITIZER_CBID_DRIVER_API_cuMemAllocFromPoolAsync                                      = 611,
   SANITIZER_CBID_DRIVER_API_cuMemAllocFromPoolAsync_ptsz                                 = 612,
   SANITIZER_CBID_DRIVER_API_cuMemPoolExportToShareableHandle                             = 613,
   SANITIZER_CBID_DRIVER_API_cuMemPoolImportFromShareableHandle                           = 614,
   SANITIZER_CBID_DRIVER_API_cuMemPoolExportPointer                                       = 615,
   SANITIZER_CBID_DRIVER_API_cuMemPoolImportPointer                                       = 616,
   SANITIZER_CBID_DRIVER_API_cuMemPoolGetAccess                                           = 617,
   SANITIZER_CBID_DRIVER_API_cuGraphAddExternalSemaphoresSignalNode                       = 618,
   SANITIZER_CBID_DRIVER_API_cuGraphExternalSemaphoresSignalNodeGetParams                 = 619,
   SANITIZER_CBID_DRIVER_API_cuGraphExternalSemaphoresSignalNodeSetParams                 = 620,
   SANITIZER_CBID_DRIVER_API_cuGraphAddExternalSemaphoresWaitNode                         = 621,
   SANITIZER_CBID_DRIVER_API_cuGraphExternalSemaphoresWaitNodeGetParams                   = 622,
   SANITIZER_CBID_DRIVER_API_cuGraphExternalSemaphoresWaitNodeSetParams                   = 623,
   SANITIZER_CBID_DRIVER_API_cuGraphExecExternalSemaphoresSignalNodeSetParams             = 624,
   SANITIZER_CBID_DRIVER_API_cuGraphExecExternalSemaphoresWaitNodeSetParams               = 625,
   SANITIZER_CBID_DRIVER_API_cuGetProcAddress                                             = 626,
   SANITIZER_CBID_DRIVER_API_cuFlushGPUDirectRDMAWrites                                   = 627,
   SANITIZER_CBID_DRIVER_API_cuGraphDebugDotPrint                                         = 628,
   SANITIZER_CBID_DRIVER_API_cuStreamGetCaptureInfo_v2                                    = 629,
   SANITIZER_CBID_DRIVER_API_cuStreamGetCaptureInfo_v2_ptsz                               = 630,
   SANITIZER_CBID_DRIVER_API_cuStreamUpdateCaptureDependencies                            = 631,
   SANITIZER_CBID_DRIVER_API_cuStreamUpdateCaptureDependencies_ptsz                       = 632,
   SANITIZER_CBID_DRIVER_API_cuUserObjectCreate                                           = 633,
   SANITIZER_CBID_DRIVER_API_cuUserObjectRetain                                           = 634,
   SANITIZER_CBID_DRIVER_API_cuUserObjectRelease                                          = 635,
   SANITIZER_CBID_DRIVER_API_cuGraphRetainUserObject                                      = 636,
   SANITIZER_CBID_DRIVER_API_cuGraphReleaseUserObject                                     = 637,
   SANITIZER_CBID_DRIVER_API_cuGraphAddMemAllocNode                                       = 638,
   SANITIZER_CBID_DRIVER_API_cuGraphAddMemFreeNode                                        = 639,
   SANITIZER_CBID_DRIVER_API_cuDeviceGraphMemTrim                                         = 640,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetGraphMemAttribute                                 = 641,
   SANITIZER_CBID_DRIVER_API_cuDeviceSetGraphMemAttribute                                 = 642,
   SANITIZER_CBID_DRIVER_API_cuGraphInstantiateWithFlags                                  = 643,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetExecAffinitySupport                               = 644,
   SANITIZER_CBID_DRIVER_API_cuCtxCreate_v3                                               = 645,
   SANITIZER_CBID_DRIVER_API_cuCtxGetExecAffinity                                         = 646,
   SANITIZER_CBID_DRIVER_API_cuDeviceGetUuid_v2                                           = 647,
   SANITIZER_CBID_DRIVER_API_cuGraphMemAllocNodeGetParams                                 = 648,
   SANITIZER_CBID_DRIVER_API_cuGraphMemFreeNodeGetParams                                  = 649,
   SANITIZER_CBID_DRIVER_API_SIZE                                                         = 650,
   SANITIZER_CBID_DRIVER_API_FORCE_INT                                                    = 0x7fffffff,
} SANITIZER_CBID_DRIVER_API;

#endif // __SANITIZER_DRIVER_CBID_H
